DL_Algorithm_ECNR< EC > Class Template Reference

Elliptic Curve NR (ECNR) signature algorithm. More...

`#include <eccrypto.h>`

Inheritance diagram for DL_Algorithm_ECNR< EC >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_Algorithm_NR< EC::Point >
static const char * | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from DL_Algorithm_NR< EC::Point >
void | Sign (const DL_GroupParameters< EC::Point > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
| Sign a message using a private key.
bool | Verify (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
| Verify a message using a public key.
Public Member Functions inherited from DL_ElgamalLikeSignatureAlgorithm< T >
virtual void | Sign (const DL_GroupParameters< T > &params, const Integer &privateKey, const Integer &k, const Integer &e, Integer &r, Integer &s) const =0
| Sign a message using a private key.
virtual bool | Verify (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &e, const Integer &r, const Integer &s) const =0
| Verify a message using a public key.
virtual Integer | RecoverPresignature (const DL_GroupParameters< T > &params, const DL_PublicKey< T > &publicKey, const Integer &r, const Integer &s) const
| Recover a Presignature.
virtual size_t | RLen (const DL_GroupParameters< T > &params) const
| Retrieve R length.
virtual size_t | SLen (const DL_GroupParameters< T > &params) const
| Retrieve S length.
virtual bool | IsDeterministic () const
| Signature scheme flag.

## Detailed Description

template<class EC>
class DL_Algorithm_ECNR< EC >

Elliptic Curve NR (ECNR) signature algorithm.

Template Parameters

  EC | elliptic curve field

Definition at line 365 of file eccrypto.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class EC >

static const char * DL_Algorithm_ECNR< EC >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 368 of file eccrypto.h.

The documentation for this class was generated from the following file:

- eccrypto.h